Bug 518851 - SELinux is preventing polkitd (polkit_t) "getattr" fs_t
SELinux is preventing polkitd (polkit_t) "getattr" fs_t
Product: Fedora
Classification: Fedora
Component: polkit (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: 518852 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2009-08-23 11:24 EDT by faith
Modified: 2013-03-05 22:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-20 17:25:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description faith 2009-08-23 11:24:09 EDT
Description of problem:  SELinux is preventing polkitd (polkit_t) "getattr" fs_t

Version-Release number of selected component (if applicable):

How reproducible:  not sure; didn't seem to affect what I was doing at the time; so many frustrations with OS in general, just trying to get some work done and didn't stop to look at this error in particular immediately

Steps to Reproduce:
Actual results:

Expected results:

Additional info:


SELinux is preventing polkitd (polkit_t) "getattr" fs_t.

Detailed Description:

SELinux denied access requested by polkitd. It is not expected that this access
is required by polkitd and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:polkit_t:s0-s0:c0.c1023
Target Context                system_u:object_r:fs_t:s0
Target Objects                / [ filesystem ]
Source                        polkitd
Source Path                   <Unknown>
Port                          <Unknown>
Host                          localhost.localdomain
Source RPM Packages           
Target RPM Packages           filesystem-2.4.21-1.fc11
Policy RPM                    selinux-policy-3.6.12-62.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain
                              #1 SMP Tue Jun 16 23:11:39 EDT 2009 i686 i686
Alert Count                   11
First Seen                    Thu 23 Jul 2009 01:27:18 AM EDT
Last Seen                     Fri 24 Jul 2009 09:31:20 PM EDT
Local ID                      d9d63d78-0c75-49f2-a04b-b3f9eef3007a
Line Numbers                  

Raw Audit Messages            

node=localhost.localdomain type=AVC msg=audit(1248485480.3:731): avc:  denied  { getattr } for  pid=15485 comm="polkitd" name="/" dev=dm-0 ino=2 scontext=system_u:system_r:polkit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:fs_t:s0 tclass=filesystem
Comment 1 faith 2009-09-16 18:47:57 EDT
somebody ... anybody?  please tell me if I still need to worry about this.  Per SELinux troubleshooter reports, last seen 8/31, but having so much trouble with crashing and rebooting, wondering if it could somehow be preventing something still(?)  thanks
Comment 2 Michal Schmidt 2009-11-20 17:25:38 EST
This specific AVC denial was caused by a kernel bug in process accounting, which is fixed in and later kernels. But the bug is otherwise harmless, this confusing AVC denial is its only consequence. It's definitely unrelated to any crashes.
Comment 3 Michal Schmidt 2009-11-20 17:40:09 EST
*** Bug 518852 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.